<?php
/************************************************************************/
/* DUNE by NPDS                                                         */
/* ===========================                                          */
/* Images Rotator - use JW Images Rotator                               */
/* http://www.longtailvideo.com/players/jw-image-rotator                */
/*                                                                      */
/* This version name NPDS Copyright (c) 2011 by Philippe Brunier        */
/*                                                                      */
/* This program is free software. You can redistribute it and/or modify */
/* it under the terms of the GNU General Public License as published by */
/* the Free Software Foundation; either version 2 of the License.       */
/************************************************************************/

function rotator($conf_file,$playlist, $width=150,$height=115,$shownav="false",$screencolor="0xFFFFFF") {
   if ($conf_file)
      include("images-rotator.conf.php");
   $ibid=uniqid("JW");
   $content="<div id=\"div_rotator$ibid\"></div>";
   $content.="<script type=\"text/javascript\" src=\"modules/images-rotator/swfobject.js\"></script>";
   $content.="<script type=\"text/javascript\">
      //<![CDATA[
      var s1 = new SWFObject(\"modules/images-rotator/imagerotator.swf\",\"rotator$ibid\",\"$width\",\"$height\",\"1\");
      s1.addVariable(\"file\",\"modules/images-rotator/xml/$playlist.xml\");
      s1.addVariable(\"width\",\"$width\");
      s1.addVariable(\"height\",\"$height\");
      s1.addVariable(\"searchbar\",\"false\");
      s1.addVariable(\"shownavigation\",\"$shownav\");
      s1.addVariable(\"screencolor\",\"$screencolor\");
      s1.write(\"div_rotator$ibid\");
      //]]>
   </script>";
   echo $content;
}
?>